Cloud API overview
The Adobe Analytics 2.0 Cloud API endpoints provide methods to manage export Locations for analytics data. Adobe cloud Locations are configured within Adobe Cloud API accounts--a separate API service within Adobe Analytics 2.0 Cloud APIs. Adobe Cloud API accounts are developed to work with various cloud storage service providers. Use these APIs to create, read, update, and delete Adobe cloud API accounts and Locations for exporting data.
data-variant=info
data-slots=text
You can use Cloud APIs for the following:
-
Exporting files using Data Feed APIs
-
Exporting reports using Data Warehouse APIs
-
Working with Classification APIs
These APIs include two service categories:
To export data to a cloud Location, you must first create an Analytics cloud API account. After creating the account, you can create as many locations on that account as you need.
data-variant=info
data-slots=text
Cloud Locations Accounts API
The Accounts API includes all endpoints for managing Cloud Location accounts.
Account Types
Analytics API Cloud Locations accounts are specified by type. Account types are specified upon account creation. The following table describes account types with tips for setting up third-party services to work with the listed account types:
emailftpsftpgcpazureazure_rbacazure_sass3s3_role_arns3 with Amazon Resource Name fields for Identity and Access Management (IAM).Each account type has its own set of key/value pairs or parameters for the accountProperties object. See the Account Properties table for more information on the properties that are specific to each account type. Note: Both Cloud Locations accounts and locations have a UUID identifier. The account UUID is different from the location UUID, and the two should be referenced separately.
GET accounts
Use this endpoint to get all Cloud Locations accounts that you have created or that have been shared with you in your organization.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"type": "s3",
"secret": "value-hidden",
"accountProperties": {
"accessKeyID": "test"
},
"name": "S3 Legacy Example",
"description": "legacy",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-06-27T19:34:13.673Z",
"lastModifiedDate": "YYYY-06-27T19:34:13.673Z",
"shared": false,
"deleted": false,
"uuid": "555bc5a5-5d55-5555-5555-dd5d555ec55f"
},
{
"type": "ftp",
"secret": "value-hidden",
"accountProperties": {
"port": 21,
"hostname": "ftp.example.com",
"username": "test"
},
"name": "Example FTP",
"description": "",
"createdBy": "exampleuser@example.com",
"modifiedBy": "exampleuser@example.com",
"createdDate": "YYYY-08-09T20:56:35.380Z",
"lastModifiedDate": "YYYY-08-20T17:55:45.551Z",
"shared": false,
"deleted": false,
"uuid": "bee66666-6e66-666b-666f-dd66c6b6666e"
},
{
"type": "azure",
"secret": "value-hidden",
"accountProperties": {
"accountName": "exampleaccount"
},
"name": "Azure Legacy Example Account",
"description": "Azure Legacy Example Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T19:49:37.207Z",
"lastModifiedDate": "YYYY-09-15T19:49:37.207Z",
"shared": false,
"deleted": false,
"uuid": "dcb7ee77-777e-7777-77dc-7777777ba777"
},
{
"type": "email",
"accountProperties": {
"to": "exampleuser@example.com"
},
"name": "Example Email Account",
"description": "Example Email Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T20:34:37.292Z",
"lastModifiedDate": "YYYY-09-15T20:34:37.292Z",
"shared": false,
"deleted": false,
"uuid": "e88888b8-8cc8-888a-88ab-888f8888b88d"
},
{
"type": "azure_sas",
"secret": "value-hidden",
"accountProperties": {
"keyVaultURI": "https://cja-export-qe-test.vault.azure.net/",
"keyVaultSecretName": "sas-token",
"tenantId": "fa4b4b4a-4b44-4444-44ae-d2c444decee4",
"appId": "d55f5cdb-e55e-5ac5-aa5c-55fff55fdb55"
},
"name": "SAS Example Account",
"description": "SAS Example Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T19:47:30.173Z",
"lastModifiedDate": "YYYY-09-15T19:47:30.173Z",
"shared": false,
"deleted": false,
"uuid": "a999eecb-a9c9-999c-99f9-d9fd9999cf99"
},
{
"type": "azure_rbac",
"secret": "value-hidden",
"accountProperties": {
"tenantId": "fa4b4b4a-4b44-4444-44ae-d2c444decee4",
"appId": "d55f5cdb-e55e-5ac5-aa5c-55fff55fdb55"
},
"name": "RBAC Example Account",
"description": "RBAC Example Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T19:43:44.128Z",
"lastModifiedDate": "YYYY-09-15T19:43:44.128Z",
"shared": false,
"deleted": false,
"uuid": "0ef00a00-000c-00e0-bd00-0000ec000e00"
},
{
"type": "s3_role_arn",
"accountProperties": {
"userARN": "arn:aws:iam::111111111111:user/C-exampleorg",
"roleARN": "arn:aws:iam::222222222222:role/aa-example-qe-role"
},
"name": "S3 ARN Example Account",
"description": "S3 ARN Example Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T19:56:34.577Z",
"lastModifiedDate": "YYYY-09-15T19:56:34.577Z",
"shared": false,
"deleted": false,
"uuid": "1111ae11-1e11-1ac1-1b1e-1e1111111111"
},
{
"type": "gcp",
"accountProperties": {
"email": "C-exampleorg@adbe-gcp0000.iam.gserviceaccount.com",
"gcpId": "111111111111111111111",
"projectId": "example-gcp0000",
"name": "projects/adbe-gcp0000",
"displayName": "C-exampleorg"
},
"name": "GCP Example Account",
"description": "GCP Example Account",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-09-15T19:30:52.841Z",
"lastModifiedDate": "YYYY-09-15T19:30:52.841Z",
"shared": false,
"deleted": false,
"uuid": "a2eafcf2-222d-2222-a2c2-22b12b2222f2"
},
{
"type": "sftp",
"accountProperties": {
"port": 22,
"hostname": "examplehost",
"uploadTemporaryFile": true,
"username": "user"
},
"name": "Example sftp account",
"description": "string",
"createdBy": "exampleuser@example.com",
"createdDate": "YYYY-04-30T19:40:03.042745Z",
"lastModifiedDate": "YYYY-04-30T19:40:03.042745Z",
"shared": false,
"deleted": false,
"uuid": "a3be3333-3dea-3333-3edd-f3def33c3f33"
}
Example request details
The example request above does not include any optional query parameters, so it retrieves all accounts of all types accessible to the user.
Example response details
The example response above shows the following:
-
A response body that includes accounts with all supported types as described in the Account Types table above.
-
An
accountPropertiesobject for each account. This object contains parameters that are specific to the type of account. For more information, see the -
A
uuididentifier for each account. This is not the same as the locationuuidthat is used in the Locations API.
Request Parameters
The following table describes the GET accounts query request parameters:
createdBypagelimitResponse Parameters
The following table describes the GET accounts response parameters:
secretaccountPropertiesnamedescriptioncreatedBymodifiedBycreatedDatelastModifiedDateshareddeleteduuidPOST create account
Use this endpoint to create a new Cloud Locations account. The example for this endpoint includes the steps for setting up an AWS s3 role ARN account type.
POST https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'POST' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"type": "s3_role_arn",
"secret": "********",
"accountProperties":{
"roleARN": "arn:aws:iam::{CUSTOMER ACCOUNT ID}:role/<ROLE ARN>",
"userARN": "arn:aws:iam::{SERVICE ACCOUNT ID}:user/<USER ARN>"
},
"name": "Example Account",
"description": "Example account description",
"sharedTo": "exampleuser2@example.com"
}'
Response
{
"accountProperties": {},
"shared": false,
"createdDate": "YYYY-01-01T00:00:00Z",
"createdBy": "user@example.com",
"lastModifiedDate": "2023-01-01T00:00:00Z",
"name": "Example Account",
"description": "Example account description",
"modifiedBy": "user@example.com",
"secret": "********",
"type": "s3",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}
Request Parameters
The following table describes the create account request parameters:
typesecretaccountPropertiesnamedescriptionsharedToResponse Parameters
The following table describes the create account response parameters:
accountPropertiessharedcreatedDatecreatedBylastModifiedDatenamedescriptionmodifiedBysecrettypeuuidGET account by UUID
Use this endpoint to get a specific Cloud Locations Account.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"accountProperties": {},
"shared": false,
"createdDate": "YYYY-01-01T00:00:00Z",
"createdBy": "user@example.com",
"lastModifiedDate": "2023-01-01T00:00:00Z",
"name": "Example Account",
"description": "Example account description",
"modifiedBy": "user@example.com",
"secret": "********",
"type": "s3",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}
Request Parameters
The following table describes the get account by UUID request parameters:
UUIDResponse Parameters
The following table describes the get account by UUID response parameters:
accountPropertiessharedcreatedDatecreatedBylastModifiedDatenamedescriptionmodifiedBysecrettypeuuidPUT update account
Use this endpoint to update a specific Cloud Locations Account.
PUT https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'PUT' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"type": "s3",
"secret": "********",
"accountProperties": {},
"name": "Updated Account",
"description": "Updated account description",
"sharedTo": "user@example.com"
}'
Response
{
"accountProperties": {},
"shared": false,
"createdDate": "2023-01-01T00:00:00Z",
"createdBy": "user@example.com",
"lastModifiedDate": "2023-01-02T00:00:00Z",
"name": "Updated Account",
"description": "Updated account description",
"modifiedBy": "user@example.com",
"secret": "********",
"type": "s3",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}
Request Parameters
The following table describes the update account request parameters:
UUIDtypesecretaccountPropertiesnamedescriptionsharedToResponse Parameters
The following table describes the update account response parameters:
accountPropertiessharedcreatedDatecreatedBylastModifiedDatenamedescriptionmodifiedBysecrettypeuuidDELETE account
Use this endpoint to delete a specific Cloud Locations account.
DELETE https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'DELETE' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/account/{UUID}" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "x-proxy-global-company-id: {GLOBAL_COMPAY_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"message": "Account deleted successfully",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}
Request Parameters
The following table describes the delete account request parameters:
UUIDResponse Parameters
The following table describes the delete account response parameters:
messageuuidGET locations
Use this endpoint to get all Cloud Locations for a given global company id.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"content": [
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"createdDate": "2023-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "user@example.com",
"name": "Example Location",
"modifiedBy": "user@example.com",
"globalCompanyId": "example-company-id",
"properties": {}
}
],
"number": 0,
"size": 10,
"totalPages": 1,
"totalElements": 1,
"numberOfElements": 1,
"first": true,
"last": true
}
Request Parameters
The following table describes the get locations request parameters:
accountUuidapplicationpagelimitResponse Parameters
The following table describes the get locations response parameters:
contentnumbersizetotalPagestotalElementsnumberOfElementsfirstlastPOST create location
Use this endpoint to create a new Cloud Location.
POST https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'POST' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"type": "s3",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"properties": {},
"name": "Example Location",
"description": "Example location description",
"application": "DATA_WAREHOUSE",
"applicationTag": "example-tag",
"sharedTo": "user@example.com"
}'
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"createdDate": "2023-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "user@example.com",
"name": "Example Location",
"modifiedBy": "user@example.com",
"globalCompanyId": "example-company-id",
"properties": {}
}
Request Parameters
The following table describes the create location request parameters:
typeaccountUuidpropertiesnamedescriptionapplicationapplicationTagsharedToResponse Parameters
The following table describes the create location response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedBypropertiesGET location by UUID
Use this endpoint to get a specific Cloud Location.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/123e4567-e89b-12d3-a456-426614174001" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "x-proxy-global-company-id: {GLOBAL_COMPANY_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"createdDate": "2023-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "user@example.com",
"name": "Example Location",
"modifiedBy": "user@example.com",
"globalCompanyId": "example-company-id",
"properties": {}
}
Request Parameters
The following table describes the get location by UUID request parameters:
UUIDResponse Parameters
The following table describes the get location by UUID response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedByglobalCompanyIdpropertiesPUT update location
Use this endpoint to update a specific Cloud Location.
PUT https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'PUT' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/123e4567-e89b-12d3-a456-426614174001" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "x-proxy-global-company-id: {GLOBAL_COMPANY_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"type": "s3",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"properties": {},
"name": "Updated Location",
"description": "Updated location description",
"application": "DATA_WAREHOUSE",
"applicationTag": "updated-tag",
"sharedTo": "user@example.com"
}'
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-02T00:00:00Z",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "Updated location description",
"type": "s3",
"applicationTag": "updated-tag",
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"createdDate": "2023-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "user@example.com",
"name": "Updated Location",
"modifiedBy": "user@example.com",
"globalCompanyId": "example-company-id",
"properties": {}
}
Request Parameters
The following table describes the update location request parameters:
UUIDtypeaccountUuidpropertiesnamedescriptionapplicationapplicationTagsharedToResponse Parameters
The following table describes the update location response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedByglobalCompanyIdpropertiesDELETE location
Use this endpoint to delete a specific Cloud Location.
DELETE https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'DELETE' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/123e4567-e89b-12d3-a456-426614174001" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "x-proxy-global-company-id: {GLOBAL_COMPANY_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"message": "Location deleted successfully",
"uuid": "123e4567-e89b-12d3-a456-426614174001"
}
Request Parameters
The following table describes the delete location request parameters:
UUIDResponse Parameters
The following table describes the delete location response parameters:
messageuuidStatus codes
Each API request returns an HTTP status code that reflects the result, as follows: